/* node to contain the insides of parentheses */!!

inherit(Object, #CLIParenNode, #(insides  /* insides of parentheses */), 2, nil)!!

now(class(CLIParenNode))!!

now(CLIParenNode)!!

/* Compile the node into Actor source. */
Def CLICodeCompile(self)
{
  CLICodeCompile("(");
  CLICodeCompile(insides);
  CLICodeCompile(")");
}!!

Def init(self, arg)
{
  insides := arg;
}!!
